import { Args } from '@oclif/core';
import BaseCommand from '../../lib/baseCommand.js';
import ImageInfoDisplayer from '../../lib/images/imageInfoDisplayer.js';
export default class ImagesInfo extends BaseCommand {
    static args = {
        "name": Args.string({ description: 'Name of the image', required: true }),
    };
    static description = 'Display information about a specific image';
    async runImpl() {
        const imageInfoDisplayer = new ImageInfoDisplayer(this.parsedArgs.name);
        await imageInfoDisplayer.displayInfo();
    }
}
